help me about language-pack-en

ning luwen ningluwen at gmail.com
Wed Aug 4 07:14:46 UTC 2010


On Wed, Aug 4, 2010 at 12:22 AM, NoOp <glgxg at sbcglobal.net> wrote:
> On 08/03/2010 08:35 AM, ning luwen wrote:
>> sudo apt-get update
>> (...)
>> sudo apt-get upgrade
>> Reading package lists... Done
>> Building dependency tree
>> Reading state information... Done
>> You might want to run `apt-get -f install' to correct these.
>> The following packages have unmet dependencies:
>>   language-pack-en: Depends: language-pack-en-base (>=
>> 1:10.10+20100703) but it is not installed
>> E: Unmet dependencies. Try using -f.
>
> Ah right. Sorry, I should have noticed. My apologies.
>
> 1:10.10 is for Maverick
> https://launchpad.net/ubuntu/+source/language-pack-en-base
> https://launchpad.net/ubuntu/+source/language-pack-en
>
> Looks like 1:10.10+20100703 was a Maverick proposed.
> Available diffs
>    * diff from 1:10.10+20100724 to 1:10.10+20100727 (371.9 KiB)
>
> So I guess the question would be why you are getting Maverick
> dependencies on lucid.

i upgrade my ubuntu 10.04 from ubuntu 10.04

>
> ...
>>>
>>> Then try again. If you are still having problems, look in launchpad to
>>> see if there is a bug filed:
>>>
>>> <https://launchpad.net/+search?field.text=+language-pack-en%3A+Depends%3A+language-pack-en-base>
>>>
>>> Possibles:
>>> <https://bugs.launchpad.net/ubuntu/+source/language-pack-gnome-en/+bug/576624>
>>> [cannot install languages]
>>>
>>> <https://bugs.launchpad.net/ubuntu/+source/language-pack-en/+bug/514329>
>>> [latest version of language-pack-en requires unreleased version of
>>> language-pack-en-base]
>
> What do you show for:
>
> $ apt-cache policy language-pack-en
> $ apt-cache policy language-pack-en-base
> $ apt-cache policy language-pack-gnome-en

apt-cache policy language-pack-en
language-pack-en:
  Installed: 1:10.10+20100724
  Candidate: 1:10.10+20100727
  Version table:
     1:10.10+20100727 0
        500 http://ftp.sjtu.edu.cn/ubuntu/ maverick/main Packages
        500 http://archive.ubuntu.com/ubuntu/ maverick/main Packages
 *** 1:10.10+20100724 0
        100 /var/lib/dpkg/status


apt-cache policy language-pack-en-base
language-pack-en-base:
  Installed: (none)
  Candidate: 1:10.10+20100727
  Version table:
     1:10.10+20100727 0
        500 http://ftp.sjtu.edu.cn/ubuntu/ maverick/main Packages
        500 http://archive.ubuntu.com/ubuntu/ maverick/main Packages
     1:10.10+20100703 0
        100 /var/lib/dpkg/status


apt-cache policy language-pack-gnome-en
language-pack-gnome-en:
  Installed: (none)
  Candidate: 1:10.10+20100727
  Version table:
     1:10.10+20100727 0
        500 http://ftp.sjtu.edu.cn/ubuntu/ maverick/main Packages
        500 http://archive.ubuntu.com/ubuntu/ maverick/main Packages



>
>
> --
> ubuntu-users mailing list
> ubuntu-users at lists.ubuntu.com
> Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
>




More information about the ubuntu-users mailing list